/*
 * Copyright 2007 Open Source Applications Foundation
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.osaf.cosmo.hibernate;

import java.sql.Types;

import org.hibernate.dialect.MySQL5InnoDBDialect;

/**
 * Overrides default MySQL5InnoDBDialect and uses
 * decimal instead of numeric for numeric types.  
 * In MySQL5, numeric is implemented as decimal, so
 * event though numberic works, it is the same as
 * decimal and schema validation was failing because
 * hibernate was expecting numberic and was getting
 * back decimal from the jdbc meta data.
 *
 */
public class CosmoMySQL5InnoDBDialect extends MySQL5InnoDBDialect {
    public CosmoMySQL5InnoDBDialect() {
        super();
        registerColumnType( Types.NUMERIC, "decimal($p,$s)" );
    }
}
